---
name: accounts-routes
description: Handle 29 OpenAPI operation(s) under /v1/accounts for the accounts route group.
---

# accounts API Routes

Handle 29 OpenAPI operation(s) under /v1/accounts for the accounts route group.

Use the generated operation tools to make real API calls. Do not invent API responses.
If a tool reports missing setup, return the exact setup field name to the caller.
For write, update, or delete operations, state the intended action before calling the tool.

## Operations

### get_accounts

- Operation ID: `get_accounts`
- Route: `GET /v1/accounts`
- Mode: READ
- Summary: List all connected accounts
- Parameters:
  - `created` in `query`
  - `ending_before` in `query`
  - `expand` in `query`
  - `limit` in `query`
  - `starting_after` in `query`
- Body: JSON request body accepted.

### post_accounts

- Operation ID: `post_accounts`
- Route: `POST /v1/accounts`
- Mode: WRITE
- Summary: <p>With <a href="/docs/connect">Connect</a>, you can create Stripe accounts for your users.
To do this, you’ll first need to <a href="https://dashboard.stripe.com/account/applications/settings">register your platform</a>.</p>

<p>If you’ve already collected information for your connected accounts, you <a href="/docs/connect/best-practices#onboarding">can prefill that information</a> when
creating the account. Connect Onboarding won’t ask for the prefilled information during account onboarding.
You can prefill any information on the account.</p>
- Body: JSON request body accepted.

### delete_accounts_account

- Operation ID: `delete_accounts_account`
- Route: `DELETE /v1/accounts/{account}`
- Mode: WRITE
- Summary: Delete an account
- Parameters:
  - `account` in `path` required
- Body: JSON request body accepted.

### get_accounts_account

- Operation ID: `get_accounts_account`
- Route: `GET /v1/accounts/{account}`
- Mode: READ
- Summary: Retrieve account
- Parameters:
  - `account` in `path` required
  - `expand` in `query`
- Body: JSON request body accepted.

### post_accounts_account

- Operation ID: `post_accounts_account`
- Route: `POST /v1/accounts/{account}`
- Mode: WRITE
- Summary: Update an account
- Parameters:
  - `account` in `path` required
- Body: JSON request body accepted.

### post_accounts_account_bank_accounts

- Operation ID: `post_accounts_account_bank_accounts`
- Route: `POST /v1/accounts/{account}/bank_accounts`
- Mode: WRITE
- Summary: Create an external account
- Parameters:
  - `account` in `path` required
- Body: JSON request body accepted.

### delete_accounts_account_bank_accounts_id

- Operation ID: `delete_accounts_account_bank_accounts_id`
- Route: `DELETE /v1/accounts/{account}/bank_accounts/{id}`
- Mode: WRITE
- Summary: Delete an external account
- Parameters:
  - `account` in `path` required
  - `id` in `path` required
- Body: JSON request body accepted.

### get_accounts_account_bank_accounts_id

- Operation ID: `get_accounts_account_bank_accounts_id`
- Route: `GET /v1/accounts/{account}/bank_accounts/{id}`
- Mode: READ
- Summary: Retrieve an external account
- Parameters:
  - `account` in `path` required
  - `expand` in `query`
  - `id` in `path` required
- Body: JSON request body accepted.

### post_accounts_account_bank_accounts_id

- Operation ID: `post_accounts_account_bank_accounts_id`
- Route: `POST /v1/accounts/{account}/bank_accounts/{id}`
- Mode: WRITE
- Summary: <p>Updates the metadata, account holder name, account holder type of a bank account belonging to
a connected account and optionally sets it as the default for its currency. Other bank account
details are not editable by design.</p>

<p>You can only update bank accounts when <a href="/api/accounts/object#account_object-controller-requirement_collection">account.controller.requirement_collection</a> is <code>application</code>, which includes <a href="/connect/custom-accounts">Custom accounts</a>.</p>

<p>You can re-enable a disabled bank account by performing an update call without providing any
arguments or changes.</p>
- Parameters:
  - `account` in `path` required
  - `id` in `path` required
- Body: JSON request body accepted.

### get_accounts_account_capabilities

- Operation ID: `get_accounts_account_capabilities`
- Route: `GET /v1/accounts/{account}/capabilities`
- Mode: READ
- Summary: List all account capabilities
- Parameters:
  - `account` in `path` required
  - `expand` in `query`
- Body: JSON request body accepted.

### get_accounts_account_capabilities_capability

- Operation ID: `get_accounts_account_capabilities_capability`
- Route: `GET /v1/accounts/{account}/capabilities/{capability}`
- Mode: READ
- Summary: Retrieve an Account Capability
- Parameters:
  - `account` in `path` required
  - `capability` in `path` required
  - `expand` in `query`
- Body: JSON request body accepted.

### post_accounts_account_capabilities_capability

- Operation ID: `post_accounts_account_capabilities_capability`
- Route: `POST /v1/accounts/{account}/capabilities/{capability}`
- Mode: WRITE
- Summary: Update an Account Capability
- Parameters:
  - `account` in `path` required
  - `capability` in `path` required
- Body: JSON request body accepted.

### get_accounts_account_external_accounts

- Operation ID: `get_accounts_account_external_accounts`
- Route: `GET /v1/accounts/{account}/external_accounts`
- Mode: READ
- Summary: List all external accounts
- Parameters:
  - `account` in `path` required
  - `ending_before` in `query`
  - `expand` in `query`
  - `limit` in `query`
  - `object` in `query`
  - `starting_after` in `query`
- Body: JSON request body accepted.

### post_accounts_account_external_accounts

- Operation ID: `post_accounts_account_external_accounts`
- Route: `POST /v1/accounts/{account}/external_accounts`
- Mode: WRITE
- Summary: Create an external account
- Parameters:
  - `account` in `path` required
- Body: JSON request body accepted.

### delete_accounts_account_external_accounts_id

- Operation ID: `delete_accounts_account_external_accounts_id`
- Route: `DELETE /v1/accounts/{account}/external_accounts/{id}`
- Mode: WRITE
- Summary: Delete an external account
- Parameters:
  - `account` in `path` required
  - `id` in `path` required
- Body: JSON request body accepted.

### get_accounts_account_external_accounts_id

- Operation ID: `get_accounts_account_external_accounts_id`
- Route: `GET /v1/accounts/{account}/external_accounts/{id}`
- Mode: READ
- Summary: Retrieve an external account
- Parameters:
  - `account` in `path` required
  - `expand` in `query`
  - `id` in `path` required
- Body: JSON request body accepted.

### post_accounts_account_external_accounts_id

- Operation ID: `post_accounts_account_external_accounts_id`
- Route: `POST /v1/accounts/{account}/external_accounts/{id}`
- Mode: WRITE
- Summary: <p>Updates the metadata, account holder name, account holder type of a bank account belonging to
a connected account and optionally sets it as the default for its currency. Other bank account
details are not editable by design.</p>

<p>You can only update bank accounts when <a href="/api/accounts/object#account_object-controller-requirement_collection">account.controller.requirement_collection</a> is <code>application</code>, which includes <a href="/connect/custom-accounts">Custom accounts</a>.</p>

<p>You can re-enable a disabled bank account by performing an update call without providing any
arguments or changes.</p>
- Parameters:
  - `account` in `path` required
  - `id` in `path` required
- Body: JSON request body accepted.

### post_accounts_account_login_links

- Operation ID: `post_accounts_account_login_links`
- Route: `POST /v1/accounts/{account}/login_links`
- Mode: WRITE
- Summary: Create a login link
- Parameters:
  - `account` in `path` required
- Body: JSON request body accepted.

### get_accounts_account_people

- Operation ID: `get_accounts_account_people`
- Route: `GET /v1/accounts/{account}/people`
- Mode: READ
- Summary: List all persons
- Parameters:
  - `account` in `path` required
  - `ending_before` in `query`
  - `expand` in `query`
  - `limit` in `query`
  - `relationship` in `query`
  - `starting_after` in `query`
- Body: JSON request body accepted.

### post_accounts_account_people

- Operation ID: `post_accounts_account_people`
- Route: `POST /v1/accounts/{account}/people`
- Mode: WRITE
- Summary: Create a person
- Parameters:
  - `account` in `path` required
- Body: JSON request body accepted.

### delete_accounts_account_people_person

- Operation ID: `delete_accounts_account_people_person`
- Route: `DELETE /v1/accounts/{account}/people/{person}`
- Mode: WRITE
- Summary: Delete a person
- Parameters:
  - `account` in `path` required
  - `person` in `path` required
- Body: JSON request body accepted.

### get_accounts_account_people_person

- Operation ID: `get_accounts_account_people_person`
- Route: `GET /v1/accounts/{account}/people/{person}`
- Mode: READ
- Summary: Retrieve a person
- Parameters:
  - `account` in `path` required
  - `expand` in `query`
  - `person` in `path` required
- Body: JSON request body accepted.

### post_accounts_account_people_person

- Operation ID: `post_accounts_account_people_person`
- Route: `POST /v1/accounts/{account}/people/{person}`
- Mode: WRITE
- Summary: Update a person
- Parameters:
  - `account` in `path` required
  - `person` in `path` required
- Body: JSON request body accepted.

### get_accounts_account_persons

- Operation ID: `get_accounts_account_persons`
- Route: `GET /v1/accounts/{account}/persons`
- Mode: READ
- Summary: List all persons
- Parameters:
  - `account` in `path` required
  - `ending_before` in `query`
  - `expand` in `query`
  - `limit` in `query`
  - `relationship` in `query`
  - `starting_after` in `query`
- Body: JSON request body accepted.

### post_accounts_account_persons

- Operation ID: `post_accounts_account_persons`
- Route: `POST /v1/accounts/{account}/persons`
- Mode: WRITE
- Summary: Create a person
- Parameters:
  - `account` in `path` required
- Body: JSON request body accepted.

### delete_accounts_account_persons_person

- Operation ID: `delete_accounts_account_persons_person`
- Route: `DELETE /v1/accounts/{account}/persons/{person}`
- Mode: WRITE
- Summary: Delete a person
- Parameters:
  - `account` in `path` required
  - `person` in `path` required
- Body: JSON request body accepted.

### get_accounts_account_persons_person

- Operation ID: `get_accounts_account_persons_person`
- Route: `GET /v1/accounts/{account}/persons/{person}`
- Mode: READ
- Summary: Retrieve a person
- Parameters:
  - `account` in `path` required
  - `expand` in `query`
  - `person` in `path` required
- Body: JSON request body accepted.

### post_accounts_account_persons_person

- Operation ID: `post_accounts_account_persons_person`
- Route: `POST /v1/accounts/{account}/persons/{person}`
- Mode: WRITE
- Summary: Update a person
- Parameters:
  - `account` in `path` required
  - `person` in `path` required
- Body: JSON request body accepted.

### post_accounts_account_reject

- Operation ID: `post_accounts_account_reject`
- Route: `POST /v1/accounts/{account}/reject`
- Mode: WRITE
- Summary: Reject an account
- Parameters:
  - `account` in `path` required
- Body: JSON request body accepted.
